## org.gnu.gtk
Class ItemFactory

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.GtkObject
              org.gnu.gtk.ItemFactory

Deprecated. 2.3

public class ItemFactory
extends GtkObject

Old class replaced by `UIManager`. This class is provided for compatibility only - it will be removed in future releases of java-gnome. Do not use in new code.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`protected` `ItemFactory(Handle handle)` Deprecated. Create a new ItemFactory from a handle to a native resource.
`` `ItemFactory(Type containerType, java.lang.String path, AccelGroup accelGroup)` Deprecated. Create a new ItemFactory object.

Method Summary
`void` `createItem(ItemFactoryEntry entry)` Deprecated. Create an item for entry.
`void` `createItems(ItemFactoryEntry[] entries)` Deprecated. Create the items from the entries.
`void` `deleteEntries(ItemFactoryEntry[] entries)` Deprecated. Delete the menu items which were created from the entries by the item factory.
`void` `deleteEntry(ItemFactoryEntry entry)` Deprecated. Delete the menu item that was created from entry by the item factory.
`void` `deleteItem(java.lang.String path)` Deprecated. Delete the menu item that was created for path by the item factory.
`static ItemFactory` `fromWidget(Widget widget)` Deprecated. Obtain the item factory from which a widget was created.
`Widget` `getItem(java.lang.String path)` Deprecated. Obtain the menu item that corresponds to path.
`static Type` `getType()` Deprecated. Retrieve the runtime type used by the GLib library.
`Widget` `getWidget(java.lang.String path)` Deprecated. Obtain the widget that corresponds to path.
`protected static void` `gtk_item_factory_add_foreign(Handle accelWidget, java.lang.String fullPath, Handle accelGroup, int keyval, int modifiers)` Deprecated.
`protected static void` `gtk_item_factory_construct(Handle ifactory, int containerType, java.lang.String path, Handle accelGroup)` Deprecated.
`protected static void` `gtk_item_factory_create_item(Handle ifactory, Handle entry, java.lang.Object callbackData, int callbackType)` Deprecated.
`protected static void` `gtk_item_factory_create_items(Handle ifactory, int numEntries, Handle[] entries, int callbackData)` Deprecated.
`protected static void` `gtk_item_factory_delete_entries(Handle ifactory, int numEnties, Handle[] entries)` Deprecated.
`protected static void` `gtk_item_factory_delete_entry(Handle ifactory, Handle entry)` Deprecated.
`protected static void` `gtk_item_factory_delete_item(Handle ifactory, java.lang.String path)` Deprecated.
`protected static Handle` `gtk_item_factory_from_widget(Handle widget)` Deprecated.
`protected static Handle` `gtk_item_factory_get_item_by_action(Handle ifactory, Handle action)` Deprecated.
`protected static Handle` `gtk_item_factory_get_item(Handle ifactory, java.lang.String path)` Deprecated.
`protected static int` `gtk_item_factory_get_type()` Deprecated.
`protected static Handle` `gtk_item_factory_get_widget_by_action(Handle ifactory, Handle action)` Deprecated.
`protected static Handle` `gtk_item_factory_get_widget(Handle ifactory, java.lang.String path)` Deprecated.
`protected static Handle` `gtk_item_factory_new(int containerType, java.lang.String path, Handle accelGroup)` Deprecated.
`protected static java.lang.String` `gtk_item_factory_path_from_widget(Handle widget)` Deprecated.
`protected static void` `gtk_item_factory_popup(Handle ifactory, int x, int y, int mouseButton, int time)` Deprecated.
`void` `popup(int x, int y, int mouseButton)` Deprecated. Pops up the menu constructed with the item factory.

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, getFlags, gtk_object_destroy, gtk_object_get_type, gtk_object_sink, setFlags, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ItemFactory

    public ItemFactory(Type containerType,
                       java.lang.String path,
                       AccelGroup accelGroup)

  Deprecated.
  Create a new ItemFactory object.

Parameters:
  `containerType` - The type of menu to create. It can be a MenuBar, a Menu, or an OptionMenu.
  `path` - The factory path of the new item factory, a string of the form "<name>".
  `accelGroup` - A AccelGroup to which the accelerators to the menu items will be added, or null to create a new one.

### ItemFactory

    protected ItemFactory(Handle handle)

  Deprecated.
  Create a new ItemFactory from a handle to a native resource.

Method Detail

### fromWidget

    public static ItemFactory fromWidget(Widget widget)

  Deprecated.
  Obtain the item factory from which a widget was created.

  Parameters:
    `widget` - The widget to use for the search.

### createItem

    public void createItem(ItemFactoryEntry entry)

  Deprecated.
  Create an item for entry.

  Parameters:
    `entry` - The IconFactoryEntry to create an item for.

### createItems

    public void createItems(ItemFactoryEntry[] entries)

  Deprecated.
  Create the items from the entries.

  Parameters:
    `entries` - An array of IconFactoryEntry objects that describe the menus to be created.

### deleteItem

    public void deleteItem(java.lang.String path)

  Deprecated.
  Delete the menu item that was created for path by the item factory.

  Parameters:
    `path` - The path to the item to delete.

### deleteEntry

    public void deleteEntry(ItemFactoryEntry entry)

  Deprecated.
  Delete the menu item that was created from entry by the item factory.

  Parameters:
    `entry` - The Entry to delete.

### deleteEntries

    public void deleteEntries(ItemFactoryEntry[] entries)

  Deprecated.
  Delete the menu items which were created from the entries by the item factory.

  Parameters:
    `entries` - The entries to delete.

### getItem

    public Widget getItem(java.lang.String path)

  Deprecated.
  Obtain the menu item that corresponds to path.

  Parameters:
    `path` - The path to the menu item.
  Returns:
    The menu item for the given path or null if path doesn't exist.

### getWidget

    public Widget getWidget(java.lang.String path)

  Deprecated.
  Obtain the widget that corresponds to path.

  Parameters:
    `path` - The path to the widget
  Returns:
    The widget for the given path or null if path doesn't exist.

### popup

    public void popup(int x,
                      int y,
                      int mouseButton)

  Deprecated.
  Pops up the menu constructed with the item factory.

  Parameters:
    `x` - The x coordinate for the popup menu
    `y` - The y coordinate for the popup menu
    `mouseButton` - The mouse button which was pressed. These values are defined in `MouseEvent`.

### getType

    public static Type getType()

  Deprecated.
  Retrieve the runtime type used by the GLib library.

### gtk_item_factory_get_type

    protected static final int gtk_item_factory_get_type()

  Deprecated.

### gtk_item_factory_new

    protected static final Handle gtk_item_factory_new(int containerType,
                                                       java.lang.String path,
                                                       Handle accelGroup)

  Deprecated.

### gtk_item_factory_construct

    protected static final void gtk_item_factory_construct(Handle ifactory,
                                                           int containerType,
                                                           java.lang.String path,
                                                           Handle accelGroup)

  Deprecated.

### gtk_item_factory_add_foreign

    protected static final void gtk_item_factory_add_foreign(Handle accelWidget,
                                                             java.lang.String fullPath,
                                                             Handle accelGroup,
                                                             int keyval,
                                                             int modifiers)

  Deprecated.

### gtk_item_factory_from_widget

    protected static final Handle gtk_item_factory_from_widget(Handle widget)

  Deprecated.

### gtk_item_factory_path_from_widget

    protected static final java.lang.String gtk_item_factory_path_from_widget(Handle widget)

  Deprecated.

### gtk_item_factory_get_item

    protected static final Handle gtk_item_factory_get_item(Handle ifactory,
                                                            java.lang.String path)

  Deprecated.

### gtk_item_factory_get_widget

    protected static final Handle gtk_item_factory_get_widget(Handle ifactory,
                                                              java.lang.String path)

  Deprecated.

### gtk_item_factory_get_widget_by_action

    protected static final Handle gtk_item_factory_get_widget_by_action(Handle ifactory,
                                                                        Handle action)

  Deprecated.

### gtk_item_factory_get_item_by_action

    protected static final Handle gtk_item_factory_get_item_by_action(Handle ifactory,
                                                                      Handle action)

  Deprecated.

### gtk_item_factory_create_item

    protected static final void gtk_item_factory_create_item(Handle ifactory,
                                                             Handle entry,
                                                             java.lang.Object callbackData,
                                                             int callbackType)

  Deprecated.

### gtk_item_factory_create_items

    protected static final void gtk_item_factory_create_items(Handle ifactory,
                                                              int numEntries,
                                                              Handle[] entries,
                                                              int callbackData)

  Deprecated.

### gtk_item_factory_delete_item

    protected static final void gtk_item_factory_delete_item(Handle ifactory,
                                                             java.lang.String path)

  Deprecated.

### gtk_item_factory_delete_entry

    protected static final void gtk_item_factory_delete_entry(Handle ifactory,
                                                              Handle entry)

  Deprecated.

### gtk_item_factory_delete_entries

    protected static final void gtk_item_factory_delete_entries(Handle ifactory,
                                                                int numEnties,
                                                                Handle[] entries)

  Deprecated.

### gtk_item_factory_popup

    protected static final void gtk_item_factory_popup(Handle ifactory,
                                                       int x,
                                                       int y,
                                                       int mouseButton,
                                                       int time)

  Deprecated.